| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
NTuple::Range< TYP > Class Template Reference

Class defining a range. More...

`#include <GaudiKernel/NTuple.h>`

## Public Member Functions
| Range (TYP low, TYP upper)
| Standard constructor. More...
| Range (const Range< TYP > &copy)
| Copy constructor. More...
Range & | operator= (const Range< TYP > &copy)
| Adjust ranges. More...
virtual | ~Range ()=default
| Destructor. More...
TYP | lower () const
| Lower boundary of range. More...
TYP | upper () const
| Upper boundary of range. More...
TYP | distance () const
| Distance between lower and upper range. More...
template<>
IOpaqueAddress * | min ()
template<>
IOpaqueAddress * | max ()

## Static Public Member Functions
static TYP | min ()
| Minimal number of data. More...
static TYP | max ()
| Maximal number of data. More...

## Private Attributes
TYP | m_lower
| Lower boundary of range. More...
TYP | m_upper
| Upper boundary of range. More...

## Detailed Description

### template<class TYP>
class NTuple::Range< TYP >

Class defining a range.

Definition at line 36 of file NTuple.h.

## Constructor & Destructor Documentation

## ◆ Range() [1/2]

template<class TYP>

NTuple::Range< TYP >::Range | ( | TYP | low,
|  | TYP | upper
| ) |  |
| inline

Standard constructor.

Definition at line 64 of file NTuple.h.

64 : m_lower( std::move( low ) ), m_upper( std::move( upper ) ) {}
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:58
std::move
T move(T... args)
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:60
NTuple::Range::upper
TYP upper() const
Upper boundary of range.
Definition: NTuple.h:78

## ◆ Range() [2/2]

template<class TYP>

NTuple::Range< TYP >::Range | ( | const Range< TYP > & | copy | ) |
| inline

Copy constructor.

Definition at line 66 of file NTuple.h.

66 : m_lower( copy.m_lower ), m_upper( copy.m_upper ) {}
std::copy
T copy(T... args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:58
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:60

## ◆ ~Range()

template<class TYP>

virtual NTuple::Range< TYP >::~Range | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ distance()

template<class TYP>

TYP NTuple::Range< TYP >::distance | ( |  | ) | const
| inline

Distance between lower and upper range.

Definition at line 80 of file NTuple.h.

80 { return m_upper - m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:58
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:60

## ◆ lower()

template<class TYP>

TYP NTuple::Range< TYP >::lower | ( |  | ) | const
| inline

Lower boundary of range.

Definition at line 76 of file NTuple.h.

76 { return m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:58

## ◆ max() [1/2]

template<class TYP>

static TYP NTuple::Range< TYP >::max | ( |  | ) |
| inline static

Maximal number of data.

Definition at line 84 of file NTuple.h.

84 { return std::numeric_limits<TYP>::max(); }
std::numeric_limits::max
T max(T... args)

## ◆ max() [2/2]

template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::max | ( |  | ) |
| inline

Definition at line 113 of file NTuple.h.

113 {
114 return (IOpaqueAddress*)0xffffffff;
115 }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23

## ◆ min() [1/2]

template<class TYP>

static TYP NTuple::Range< TYP >::min | ( |  | ) |
| inline static

Minimal number of data.

Definition at line 82 of file NTuple.h.

82 { return std::numeric_limits<TYP>::min(); }
std::numeric_limits::min
T min(T... args)

## ◆ min() [2/2]

template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::min | ( |  | ) |
| inline

Definition at line 109 of file NTuple.h.

109 {
110 return (IOpaqueAddress*)0x0;
111 }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23

## ◆ operator=()

template<class TYP>

Range& NTuple::Range< TYP >::operator= | ( | const Range< TYP > & | copy | ) |
| inline

Adjust ranges.

Definition at line 68 of file NTuple.h.

68 {
69 m_lower = copy.m_lower;
70 m_upper = copy.m_upper;
71 return *this;
72 }
std::copy
T copy(T... args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:58
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:60

## ◆ upper()

template<class TYP>

TYP NTuple::Range< TYP >::upper | ( |  | ) | const
| inline

Upper boundary of range.

Definition at line 78 of file NTuple.h.

78 { return m_upper; }
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:60

## Member Data Documentation

## ◆ m_lower

template<class TYP>

TYP NTuple::Range< TYP >::m_lower
| private

Lower boundary of range.

Definition at line 58 of file NTuple.h.

## ◆ m_upper

template<class TYP>

TYP NTuple::Range< TYP >::m_upper
| private

Upper boundary of range.

Definition at line 60 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h